petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSundialsSetType

Sets the method that Sundials will use for integration.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSundialsSetType(TS ts,TSSundialsLmmType type)

Logically Collective on TS Many br

### Input parameters

| ts | - the time-step context Many br
| type | - one of SUNDIALS_ADAMS or SUNDIALS_BDF Many br

Many br

### Keywords

Adams, backward differentiation formula

### See Also

TSSundialsGetIterations(), TSSundialsSetMaxl(),
TSSundialsSetLinearTolerance(), TSSundialsSetGramSchmidtType(), TSSundialsSetTolerance(), Many brTSSundialsGetIterations(), TSSundialsSetType(), Many brTSSundialsSetLinearTolerance(), TSSundialsSetTolerance(), TSSundialsGetPC(), Many brTSSetExactFinalTime() Many br

Level:intermediate
Location:src/ts/impls/implicit/sundials/sundials.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages